#!/bin/bash

runs="128,100000 \
      256,100000 \
      512,100000 \
      1024,10000 \
      2048,10000 \
      4096,10000 \
      8192,10000 \
      16384,1000 \
      32768,1000 \
      65536,1000 \
      131072,100 "
      # 262144,100 \
      # 524288,100 \
      # 1048576,10"

for _ in ""; do
    for run in $runs ; do
	length=$(echo $run | cut -d, -f1)
	niters=$(echo $run | cut -d, -f2)
	./main $length $niters
    done
    echo " "
    echo " "
    for run in $runs ; do
	length=$(echo $run | cut -d, -f1)
	niters=$(echo $run | cut -d, -f2)
	./mainf $length $niters
    done
done | tee zaxpy.dat
