#!/bin/bash
runs="4096,50000 \
      524288,500"

nthreads="1 2 4 8"

for _ in ""; do
    for run in $runs ; do
	length=$(echo $run | cut -d, -f1)
	niters=$(echo $run | cut -d, -f2)
	for nt in $nthreads ; do
	    export OMP_NUM_THREADS=$nt
	    ./main $length $niters
	done
	echo " "
	echo " "
    done
    for run in $runs ; do
	length=$(echo $run | cut -d, -f1)
	niters=$(echo $run | cut -d, -f2)
	for nt in $nthreads ; do
	    export OMP_NUM_THREADS=$nt
	    ./mainf $length $niters
	done
	echo " "
	echo " "
    done
done | tee zaxpy.dat
