#!/bin/bash
runs="128,100000 \
      256,100000 \
      512,100000 \
      1024,50000 \
      2048,50000 \
      4096,50000 \
      8192,50000 \
      16384,5000 \
      32768,5000 \
      65536,5000 \
      131072,500 "
      # 262144,500 \
      # 524288,500 \
      # 1048576,50"

for _ in ""; do
    for run in $runs ; do
	length=$(echo $run | cut -d, -f1)
	niters=$(echo $run | cut -d, -f2)
	./main $length $niters
    done
    echo " "
    echo " "
    for run in $runs ; do
	length=$(echo $run | cut -d, -f1)
	niters=$(echo $run | cut -d, -f2)
	./mainf $length $niters
    done
done | tee zaxpy.dat
