#include <stdlib.h>
#include <utils.h>
#include <types.h>
#include <globals.h>
#include <string.h>

complex *
spinor_init(size_t size)
{
  complex *ptr = alloc(size*NC*NS*sizeof(complex));
  memset(ptr, '\0', size*NC*NS*sizeof(complex));
  return ptr;
}

complex *
su3_init(size_t size)
{
  complex *ptr = alloc(size*NC*NC*sizeof(complex));
  memset(ptr, '\0', size*NC*NC*sizeof(complex));
  return ptr;
}
