#include <stdlib.h>
#include <utils.h>
#include <types.h>
#include <globals.h>

void
mul_su3_spinor(complex *y, complex *u, complex *x)
{
  for(int v=0; v<length; v++)
    for(int s=0; s<NS; s++)
      for(int c0=0; c0<NC; c0++) {
	complex y0 = (complex){0., 0.};
	complex *u0 = &u[v*NC*NC + c0*NC];
	complex *x0 = &x[v*NS*NC + s*NC];
	for(int c1=0; c1<NC; c1++) {
	  y0.re += u0[c1].re*x0[c1].re - u0[c1].im*x0[c1].im;
	  y0.im += u0[c1].re*x0[c1].im + u0[c1].im*x0[c1].re;
	}
	y[v*NS*NC + s*NC + c0] = y0;
      }
  return;
}
